#!/usr/bin/env python
#

import unittest
import tempfile
import os

from geo_reference import *

class geo_referenceTestCase(unittest.TestCase):
    def setUp(self):
        pass
        
    def tearDown(self):
        pass

    
    def test_read_write_NetCDF(self):
        from Scientific.IO.NetCDF import NetCDFFile
        g = Geo_reference(1.9,1.9,1)
        file_name = tempfile.mktemp(".geo_referenceTest")
        
        out_file = NetCDFFile(file_name, 'w')
        g.write_NetCDF(out_file)
        out_file.close()
        
        in_file = NetCDFFile(file_name, 'r')
        new_g = Geo_reference(NetCDFObject=in_file)
        in_file.close()
        os.remove(file_name)

        self.failUnless(g == new_g, 'test_read_write_NetCDF failed')  
        
    def test___cmp__(self):
        g = Geo_reference(1.9,1.9,1)
        new_g = Geo_reference(1.9,1.9,1)
     
        self.failUnless(g == new_g, 'test___cmp__ failed')   
        
        
        
#-------------------------------------------------------------
if __name__ == "__main__":

    suite = unittest.makeSuite(geo_referenceTestCase,'test')
    runner = unittest.TextTestRunner() #verbosity=2)
    runner.run(suite)
    
